AbstractFileResolvingResource (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.io.support

## [Java] Class AbstractFileResolvingResource

- org.grails.io.support.AbstractFileResolvingResource

- All Implemented Interfaces and Traits:
    Resource

      public abstract class AbstractFileResolvingResource
      extends java.lang.Object

  Abstract base class for resources which resolve URLs into File references, such as `org.springframework.core.io.UrlResource` or `org.springframework.core.io.ClassPathResource`.

  Detects the "file" protocol as well as the JBoss "vfs" protocol in URLs, resolving file system references accordingly.

  Authors:
    Juergen Hoeller
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `long` | `contentLength()`
    `boolean` | `exists()`
    `java.io.File` | `getFile()` This implementation returns a File reference for the underlying class path resource, provided that it refers to a file in the file system.
    `protected java.io.File` | `getFile(java.net.URI uri)` This implementation returns a File reference for the underlying class path resource, provided that it refers to a file in the file system.
    `protected java.io.File` | `getFileForLastModifiedCheck()` This implementation determines the underlying File (or jar file, in case of a resource in a jar/zip).
    `boolean` | `isReadable()`
    `long` | `lastModified()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public long contentLength()

    - #### public boolean exists()

    - #### public java.io.File getFile()

      This implementation returns a File reference for the underlying class path resource, provided that it refers to a file in the file system.

    - #### protected java.io.File getFile(java.net.URI uri)

      This implementation returns a File reference for the underlying class path resource, provided that it refers to a file in the file system.

    - #### protected java.io.File getFileForLastModifiedCheck()

      This implementation determines the underlying File (or jar file, in case of a resource in a jar/zip).

    - #### public boolean isReadable()

    - #### public long lastModified()